Skip to content
vokse.
Browse the reference
All resources

Transaction flags

2 endpoints

List the household colour flags (six built-ins, created on first read), by position

GET/households/{householdId}/transaction-flags
read:transactions
Example request
bash
curl -H "Authorization: Bearer vokse_sk_…" \     -X GET https://api.vokse.ai/households/current/transaction-flags
Response200 · Success

Rename a flag for the whole household; name null (or blank) restores the default name

PATCH/households/{householdId}/transaction-flags/{flagId}
write:transactions

Parameters

NameInRequired
flagIdpathRequired
Request body
json
{  "name": "Reimburse"}
Example request
bash
curl -H "Authorization: Bearer vokse_sk_…" \     -H "Content-Type: application/json" \     -H "Idempotency-Key: $(uuidgen)" \     -X PATCH https://api.vokse.ai/households/current/transaction-flags/{flagId} \     -d '{"name":"Reimburse"}'
Response200 · Success